/*----------------------------------------------------------------------------
 * Name:    LED.c
 * Purpose: low level LED functions
 * Note(s):
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2013 Keil - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#include <XMC1300.h>

void LED_Off (void);

/*----------------------------------------------------------------------------
  initialize LED Pins
 *----------------------------------------------------------------------------*/
void LED_Init (void) {

  /* configure ports as output push pull*/
  PORT0->IOCR0  &=  ~((0xFFUL <<  0));       /* clear P0.0 settings           */
  PORT0->IOCR0  |=    (0x80UL <<  0);        /* P0.0 output push pull         */

  PORT0->IOCR0  &=  ~((0xFFUL <<  8));       /* clear P0.1 settings           */
  PORT0->IOCR0  |=    (0x80UL <<  8);        /* P0.1 output push pull         */

  PORT0->IOCR4  &=  ~((0xFFUL << 16));       /* clear P0.6 settings           */
  PORT0->IOCR4  |=    (0x80UL << 16);        /* P0.6 output push pull         */

  PORT0->IOCR4  &=  ~((0xFFUL << 24));       /* clear P0.7 settings           */
  PORT0->IOCR4  |=    (0x80UL << 24);        /* P0.7 output push pull         */

  PORT0->IOCR8  &=  ~((0xFFUL <<  0));       /* clear P0.8 settings           */
  PORT0->IOCR8  |=    (0x80UL <<  0);        /* P0.8 output push pull         */
	
  PORT0->IOCR8  &=  ~((0xFFUL <<  8));       /* clear P0.9 settings           */
  PORT0->IOCR8  |=    (0x80UL <<  8);        /* P0.9 output push pull         */

  LED_Off ();                               /* switch LEDs off               */
}

/*----------------------------------------------------------------------------
  Function that turns off requested LED
 *----------------------------------------------------------------------------*/
void LED_Off (void) {

    PORT0->OMR |= (1UL << 0);
    PORT0->OMR |= (1UL << 1);
    PORT0->OMR |= (1UL << 6);		
    PORT0->OMR |= (1UL << 7);
    PORT0->OMR |= (1UL << 8);		
    PORT0->OMR |= (1UL << 9);
}
